-- =========================================================================
-- .communities - The Free Community Content Management Framework
-- Copyright  2007 by Ed Quinn (http://edquinn.net)
-- =========================================================================
--
-- For more information about this software, visit:
-- http://www.DotCommunities.org (official site)
-- http://www.codeplex.com/DotCommunities (source code)
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the Shared Source License displayed here:
-- http://www.codeplex.com/DotCommunities/Project/License.aspx
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- Shared Source License for more details.
--
-- Please do not remove any copyright or other notices from this Software.
--
-- =========================================================================

DECLARE @ApplicationID uniqueidentifier
DECLARE @UserID uniqueidentifier

DECLARE @CurrentTime DateTime

SET @ApplicationID = newid()
SET @UserID = newid()
SET @CurrentTime = GetUtcDate()

PRINT 'Creating ASP.NET Membership data for .communities...'

EXEC aspnet_Applications_CreateApplication 'DotCommunities', @ApplicationID

PRINT 'Creating System Administrator account with username "Admin" and password "admin"...'

EXEC aspnet_Membership_CreateUser 'DotCommunities', 'Admin', 'admin', '', 'info@DotCommunities.org', null, null, 1, @CurrentTime, @CurrentTime, null, 0, @UserID

PRINT 'Creating .communities default roles...'

EXEC aspnet_Roles_CreateRole 'DotCommunities', 'Administrators'

EXEC aspnet_Roles_CreateRole 'DotCommunities', 'Moderators'

EXEC aspnet_Roles_CreateRole 'DotCommunities', 'Editors'

EXEC aspnet_Roles_CreateRole 'DotCommunities', 'System'

EXEC aspnet_Roles_CreateRole 'DotCommunities', 'Demo'

PRINT 'Adding .communities Roles to System Administrator account...'

EXEC aspnet_UsersInRoles_AddUsersToRoles 'DotCommunities', 'Admin', 'Administrators,Moderators,Editors,System', @CurrentTime
GO