-- =========================================================================
-- .communities - The Free Community Content Management Framework
-- Copyright  2007 by Ed Quinn (http://edquinn.net)
-- =========================================================================
--
-- For more information about this software, visit:
-- http://www.DotCommunities.org (official site)
-- http://www.codeplex.com/DotCommunities (source code)
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the Shared Source License displayed here:
-- http://www.codeplex.com/DotCommunities/Project/License.aspx
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- Shared Source License for more details.
--
-- Please do not remove any copyright or other notices from this Software.
--
-- =========================================================================

/* This test script will eventually be replaced by the .communities Installer Wizard */

PRINT 'Creating host information...'
GO

SET IDENTITY_INSERT dbo.Community_Hosts ON
GO

INSERT INTO dbo.Community_Hosts 
(
	Host_ID, 
	Host_CommunityID, 
	Host_Name, 
	Host_SettingsType, 
	Host_SettingsData
)
VALUES 
(
	1, 
	NULL, 
	'DotCommunities', 
	'', 
	''
)
GO

SET IDENTITY_INSERT dbo.Community_Hosts OFF
GO

PRINT 'Creating community information...'
GO

SET IDENTITY_INSERT dbo.Community_Communities ON
GO

INSERT INTO dbo.Community_Communities 
(
	Community_ID, 
	Community_HostID, 
	Community_ApplicationID, 
	Community_Name, 
	Community_DomainName, 
	Community_Domain,
	Community_SubDomain, 
	Community_ApplicationPath, 
	Community_DatabaseQuota, 
	Community_DatabaseQuotaUsed, 
	Community_SettingsType, 
	Community_SettingsData, 
	Community_SortOrder, 
	Community_Status,
	Community_IsEnabled
)
VALUES 
(
	1, 
	1, 
	newid(), 
	'Default Community', 
	'DotCommunities.org', 
	'*', 
	'*', 
	'*', 
	-1,
	0,
	'DotCommunities.Framework.Components.CommunitySettings, DotCommunities.Framework, Version=1.0.0.0, Culture=neutral, PublicKeyToken=5d289dc83a898916', 
	'<?xml version="1.0" encoding="utf-16"?>
<communitySettings xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="http://www.dotcommunities.org/1.0/">
	<smtpServer>localhost</smtpServer>
	<useSmtpAuthentication>false</useSmtpAuthentication>
		<smtpUserName />
		<smtpPassword />
	<smtpConnectionLimit>0</smtpConnectionLimit>
	<maxEmailProcessingSize>1000</maxEmailProcessingSize>
	<requireNewUserApproval>false</requireNewUserApproval>
	<userDatabaseQuota>1000</userDatabaseQuota>
	<defaultTextEditor>[Default]</defaultTextEditor>
		<userEditors>FckEditorProvider</userEditors>
		<userEditors>TinyMCEProvider</userEditors>
		<editorRoles>Administrators</editorRoles>
	<timeZone>GMT</timeZone>
	<webPartsEnabled>true</webPartsEnabled>
	<enableCategoryMenu>true</enableCategoryMenu>
</communitySettings>', 
	10, 
	1,
	1
)
GO

SET IDENTITY_INSERT dbo.Community_Communities OFF
GO

PRINT 'Updating host information with default community ID...'
GO

UPDATE dbo.Community_Hosts
SET Host_CommunityID = 1
WHERE Host_Name = 'DotCommunities'
GO

PRINT 'Creating home page section...'
GO

SET IDENTITY_INSERT dbo.Community_Sections ON
GO

INSERT INTO dbo.Community_Sections 
(
	Section_ID, 
	Section_CommunityID, 
	Section_ParentID, 
	Section_Name, 
	Section_Title, 
	Section_MenuTitle, 
	Section_Description, 
	Section_PageTypeName, 
	Section_PageSkin, 
	Section_DefaultPageSkin, 
	Section_PageLayout,
	Section_PageStyle, 
	Section_Logo, 
	Section_PageHeader, 
	Section_PageFooter, 
	Section_Footer, 
	Section_PageMetaKeys, 
	Section_PageMetaDescription, 
	Section_ViewCount, 
	Section_EnableCategories, 
	Section_EnableComments, 
	Section_EnableModeration, 
	Section_EnableRatings, 
	Section_EnableCommentRatings, 
	Section_EnableNotifications, 
	Section_EnableIndexing, 
	Section_InheritTransformations, 
	Section_Transformations, 
	Section_AreWebBoxesInherited, 
	Section_AreWebServiceBoxesInherited, 
	Section_WebBoxDisplayMode, 
	Section_WebServiceBoxDisplayMode, 
	Section_WebServicePassword, 
	Section_AllowHtmlInput, 
	Section_AllowCommentHtmlInput, 
	Section_IsSectionWebService, 
	Section_IsSectionSyndicated, 
	Section_IsSystem, 
	Section_IsEnabled, 
	Section_RecordsPerPage, 
	Section_SortOrder, 
	Section_DateCreated
)
VALUES 
(
	1, 
	1, 
	NULL, 
	'Home', 
	'Welcome to .communities!', 
	'Home', 
	'The home section for .communities', 
	'SectionListPage', 
	'Default', 
	'Default', 
	'Default Layout',
	'Default', 
	'', 
	'Sample Page Header', 
	'Sample Page Footer', 
	'Sample Footer', 
	'.communities,Community', 
	'.communities Home Section', 
	0, 
	1, 
	1, 
	1, 
	1, 
	1, 
	1, 
	1, 
	0,
	'', 
	0, 
	0, 
	1, 
	1, 
	'', 
	1, 
	0, 
	1, 
	1, 
	0, 
	1, 
	20,
	10, 
	getutcdate()
)
GO

SET IDENTITY_INSERT dbo.Community_Sections OFF
GO

PRINT 'Setting home page section security...'
GO

SET IDENTITY_INSERT dbo.Community_SectionSecurity ON
GO

INSERT INTO dbo.Community_SectionSecurity (Security_ID, Security_SectionID, Security_RoleType, Security_Role)
VALUES (1, 1, 0, 'Everyone')
GO

INSERT INTO dbo.Community_SectionSecurity (Security_ID, Security_SectionID, Security_RoleType, Security_Role)
VALUES (2, 1, 1, 'Authenticated')
GO

INSERT INTO dbo.Community_SectionSecurity (Security_ID, Security_SectionID, Security_RoleType, Security_Role)
VALUES (3, 1, 2, 'Moderators')
GO

INSERT INTO dbo.Community_SectionSecurity (Security_ID, Security_SectionID, Security_RoleType, Security_Role)
VALUES (4, 1, 3, 'Administrators')
GO

INSERT INTO dbo.Community_SectionSecurity (Security_ID, Security_SectionID, Security_RoleType, Security_Role)
VALUES (5, 1, 4, 'Authenticated')
GO

INSERT INTO dbo.Community_SectionSecurity (Security_ID, Security_SectionID, Security_RoleType, Security_Role)
VALUES (6, 1, 5, 'Authenticated')
GO

INSERT INTO dbo.Community_SectionSecurity (Security_ID, Security_SectionID, Security_RoleType, Security_Role)
VALUES (7, 1, 6, 'Moderators')
GO

SET IDENTITY_INSERT dbo.Community_SectionSecurity OFF
GO

PRINT 'Creating HTML system section...'
GO

SET IDENTITY_INSERT dbo.Community_Sections ON
GO

INSERT INTO dbo.Community_Sections 
(
	Section_ID, 
	Section_CommunityID, 
	Section_ParentID, 
	Section_Name, 
	Section_Title, 
	Section_MenuTitle, 
	Section_Description, 
	Section_PageTypeName, 
	Section_PageSkin, 
	Section_DefaultPageSkin, 
	Section_PageLayout,
	Section_PageStyle, 
	Section_Logo, 
	Section_PageHeader, 
	Section_PageFooter, 
	Section_Footer, 
	Section_PageMetaKeys, 
	Section_PageMetaDescription, 
	Section_ViewCount, 
	Section_EnableCategories, 
	Section_EnableComments, 
	Section_EnableModeration, 
	Section_EnableRatings, 
	Section_EnableCommentRatings, 
	Section_EnableNotifications, 
	Section_EnableIndexing, 
	Section_InheritTransformations, 
	Section_Transformations, 
	Section_AreWebBoxesInherited, 
	Section_AreWebServiceBoxesInherited, 
	Section_WebBoxDisplayMode, 
	Section_WebServiceBoxDisplayMode, 
	Section_WebServicePassword, 
	Section_AllowHtmlInput, 
	Section_AllowCommentHtmlInput, 
	Section_IsSectionWebService, 
	Section_IsSectionSyndicated, 
	Section_IsSystem, 
	Section_IsEnabled, 
	Section_RecordsPerPage, 
	Section_SortOrder, 
	Section_DateCreated
)
VALUES 
(
	2, 
	1, 
	1, 
	'html', 
	'HTML Content', 
	'html', 
	'The HTML content system section for .communities', 
	'HtmlListPage', 
	'', 
	'', 
	'',
	'', 
	'', 
	'Sample Page Header', 
	'Sample Page Footer', 
	'', 
	'', 
	'', 
	0, 
	1, 
	1, 
	1, 
	1, 
	1, 
	1, 
	1, 
	1,
	'', 
	1, 
	1, 
	1, 
	1, 
	'', 
	1, 
	0, 
	1, 
	1, 
	1, 
	1, 
	20,
	10, 
	getutcdate()
)
GO

SET IDENTITY_INSERT dbo.Community_Sections OFF
GO

PRINT 'Setting HTML system section security...'
GO

SET IDENTITY_INSERT dbo.Community_SectionSecurity ON
GO

INSERT INTO dbo.Community_SectionSecurity (Security_ID, Security_SectionID, Security_RoleType, Security_Role)
VALUES (8, 2, 0, 'Everyone')
GO

INSERT INTO dbo.Community_SectionSecurity (Security_ID, Security_SectionID, Security_RoleType, Security_Role)
VALUES (9, 2, 1, 'Authenticated')
GO

INSERT INTO dbo.Community_SectionSecurity (Security_ID, Security_SectionID, Security_RoleType, Security_Role)
VALUES (10, 2, 2, 'Moderators')
GO

INSERT INTO dbo.Community_SectionSecurity (Security_ID, Security_SectionID, Security_RoleType, Security_Role)
VALUES (11, 2, 3, 'Administrators')
GO

INSERT INTO dbo.Community_SectionSecurity (Security_ID, Security_SectionID, Security_RoleType, Security_Role)
VALUES (12, 2, 4, 'Authenticated')
GO

INSERT INTO dbo.Community_SectionSecurity (Security_ID, Security_SectionID, Security_RoleType, Security_Role)
VALUES (13, 2, 5, 'Authenticated')
GO

INSERT INTO dbo.Community_SectionSecurity (Security_ID, Security_SectionID, Security_RoleType, Security_Role)
VALUES (14, 2, 6, 'Moderators')
GO

SET IDENTITY_INSERT dbo.Community_SectionSecurity OFF
GO

PRINT 'Creating profile system section...'
GO

SET IDENTITY_INSERT dbo.Community_Sections ON
GO

INSERT INTO dbo.Community_Sections 
(
	Section_ID, 
	Section_CommunityID, 
	Section_ParentID, 
	Section_Name, 
	Section_Title, 
	Section_MenuTitle, 
	Section_Description, 
	Section_PageTypeName, 
	Section_PageSkin, 
	Section_DefaultPageSkin, 
	Section_PageLayout,
	Section_PageStyle, 
	Section_Logo, 
	Section_PageHeader, 
	Section_PageFooter, 
	Section_Footer, 
	Section_PageMetaKeys, 
	Section_PageMetaDescription, 
	Section_ViewCount, 
	Section_EnableCategories, 
	Section_EnableComments, 
	Section_EnableModeration, 
	Section_EnableRatings, 
	Section_EnableCommentRatings, 
	Section_EnableNotifications, 
	Section_EnableIndexing, 
	Section_InheritTransformations, 
	Section_Transformations, 
	Section_AreWebBoxesInherited, 
	Section_AreWebServiceBoxesInherited, 
	Section_WebBoxDisplayMode, 
	Section_WebServiceBoxDisplayMode, 
	Section_WebServicePassword, 
	Section_AllowHtmlInput, 
	Section_AllowCommentHtmlInput, 
	Section_IsSectionWebService, 
	Section_IsSectionSyndicated, 
	Section_IsSystem, 
	Section_IsEnabled, 
	Section_RecordsPerPage, 
	Section_SortOrder, 
	Section_DateCreated
)
VALUES 
(
	3, 
	1, 
	1, 
	'Profiles', 
	'User Profiles', 
	'Profiles', 
	'The Profiles system section for .communities', 
	'ProfileListPage', 
	'', 
	'', 
	'',
	'', 
	'', 
	'Sample Page Header', 
	'Sample Page Footer', 
	'', 
	'', 
	'', 
	0, 
	1, 
	1, 
	1, 
	1, 
	1, 
	1, 
	1, 
	1,
	'', 
	1, 
	1, 
	1, 
	1, 
	'', 
	1, 
	0, 
	1, 
	1, 
	1, 
	1, 
	20,
	10, 
	getutcdate()
)
GO

SET IDENTITY_INSERT dbo.Community_Sections OFF
GO

PRINT 'Setting profile system section security...'
GO

SET IDENTITY_INSERT dbo.Community_SectionSecurity ON
GO

INSERT INTO dbo.Community_SectionSecurity (Security_ID, Security_SectionID, Security_RoleType, Security_Role)
VALUES (15, 3, 0, 'Everyone')
GO

INSERT INTO dbo.Community_SectionSecurity (Security_ID, Security_SectionID, Security_RoleType, Security_Role)
VALUES (16, 3, 1, 'Authenticated')
GO

INSERT INTO dbo.Community_SectionSecurity (Security_ID, Security_SectionID, Security_RoleType, Security_Role)
VALUES (17, 3, 2, 'Moderators')
GO

INSERT INTO dbo.Community_SectionSecurity (Security_ID, Security_SectionID, Security_RoleType, Security_Role)
VALUES (18, 3, 3, 'Administrators')
GO

INSERT INTO dbo.Community_SectionSecurity (Security_ID, Security_SectionID, Security_RoleType, Security_Role)
VALUES (19, 3, 4, 'Authenticated')
GO

INSERT INTO dbo.Community_SectionSecurity (Security_ID, Security_SectionID, Security_RoleType, Security_Role)
VALUES (20, 3, 5, 'Authenticated')
GO

INSERT INTO dbo.Community_SectionSecurity (Security_ID, Security_SectionID, Security_RoleType, Security_Role)
VALUES (21, 3, 6, 'Moderators')
GO

SET IDENTITY_INSERT dbo.Community_SectionSecurity OFF
GO

PRINT 'Setting default messages (English)...'
GO

SET IDENTITY_INSERT dbo.Community_Messages ON
GO

INSERT INTO dbo.Community_Messages (Message_ID, Message_CommunityID, Message_Name, Message_Description, Message_Subject, Message_Body)
VALUES(1, 1, 'Notifications', 'This email message is sent to users when they receive a notification', 'Notification: [ContentTitle]',
'Dear [FullName],
<br /><br />
A new item was added to the [SectionName] section by [UserName]. 
<br /><br />
Title: [ContentTitle]
<br /><br />
Description:<br />
[ContentBody]
<br /><br />
You can view this item by clicking the following link: [ContentLink]<br />
<hr />
If you would like to disable these notifications, you can edit your profile at [EditProfileLink]')
GO

INSERT INTO dbo.Community_Messages (Message_ID, Message_CommunityID, Message_Name, Message_Description, Message_Subject, Message_Body)
VALUES(2, 1, 'Moderation', 'This message will be displayed when a user adds content to a moderated section', 'Moderated Section',
'This section is moderated. Please allow 24 hours for your content to appear.')
GO

INSERT INTO dbo.Community_Messages (Message_ID, Message_CommunityID, Message_Name, Message_Description, Message_Subject, Message_Body)
VALUES(3, 1, 'Messages', 'Template for messages sent from one user to another', '[ContentTitle]',
'Dear [FullName],
<br /><br />
[UserName] from [CommunityName] has sent you the following Private Message:<br />
<hr />
<br />
[ContentBody]<br />
<br />
<hr />
You may reply to [UserName] with a Private Message at: [ContentLink]
<br /><br />
If you would like to disable future messages, uncheck the "Enable Private Messages" option on your profile at:<br /> 
[EditProfileLink]')
GO

INSERT INTO dbo.Community_Messages (Message_ID, Message_CommunityID, Message_Name, Message_Description, Message_Subject, Message_Body)
VALUES(4, 1, 'Password', 'This email message is sent to users when they request a password reminder', 'Password Reminder',
'Dear [FullName],
<br /><br />
You requested the following password reminder: 
<br /><br />
    Username: [UserName]<br />
    Password: [Password]')
GO

SET IDENTITY_INSERT dbo.Community_Messages OFF
GO