// =========================================================================
// .communities - The Free Community Content Management Framework
// Copyright  2007 by Ed Quinn (http://edquinn.net)
// =========================================================================
//
// For more information about this software, visit:
// http://www.DotCommunities.org (official site)
// http://www.codeplex.com/DotCommunities (source code)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the Shared Source License displayed here:
// http://www.codeplex.com/DotCommunities/Project/License.aspx
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// Shared Source License for more details.
//
// Please do not remove any copyright or other notices from this Software.
//
// =========================================================================

using System;
using System.Web.Profile;

using DotCommunities.Framework.Components;

namespace DotCommunities.Framework
{
    /// <summary>
    /// Standard profile properties for registered users.
    /// </summary>
    /// <remarks>
    /// Extend this class to add profile properties to .communities or inherit
    /// direct from the <see cref="CommunityProfileBase"/> class to override
    /// these profile properties.
    /// </remarks>
    public partial class CommunityProfile : CommunityProfileBase
    {
        /// <summary>
        /// The users occupation.
        /// </summary>
        [SettingsAllowAnonymous(false)]
        public string Occupation
        {
            get { return base["Occupation"].ToString(); }
            set { base["Occupation"] = value; }
        }

        /// <summary>
        /// The users geographical location.
        /// </summary>
        [SettingsAllowAnonymous(false)]
        public string Location
        {
            get { return base["Location"].ToString(); }
            set { base["Location"] = value; }
        }

        /// <summary>
        /// The users interests.
        /// </summary>
        [SettingsAllowAnonymous(false)]
        public string Interests
        {
            get { return base["Interests"].ToString(); }
            set { base["Interests"] = value; }
        }

        /// <summary>
        /// The users MSN user name.
        /// </summary>
        [SettingsAllowAnonymous(false)]
        public string MSN
        {
            get { return base["MSN"].ToString(); }
            set { base["MSN"] = value; }
        }

        /// <summary>
        /// The users Yahoo user name.
        /// </summary>
        [SettingsAllowAnonymous(false)]
        public string Yahoo
        {
            get { return base["Yahoo"].ToString(); }
            set { base["Yahoo"] = value; }
        }

        /// <summary>
        /// The users AIM user name.
        /// </summary>
        [SettingsAllowAnonymous(false)]
        public string AIM
        {
            get { return base["AIM"].ToString(); }
            set { base["AIM"] = value; }
        }

        /// <summary>
        /// The users ICQ user ID.
        /// </summary>
        [SettingsAllowAnonymous(false)]
        public string ICQ
        {
            get { return base["ICQ"].ToString(); }
            set { base["ICQ"] = value; }
        }

        /// <summary>
        /// The users own website address.
        /// </summary>
        [SettingsAllowAnonymous(false)]
        public string Website
        {
            get { return base["Website"].ToString(); }
            set { base["Website"] = value; }
        }
    }
}
