// =========================================================================
// .communities - The Free Community Content Management Framework
// Copyright  2007 by Ed Quinn (http://edquinn.net)
// =========================================================================
//
// For more information about this software, visit:
// http://www.DotCommunities.org (official site)
// http://www.codeplex.com/DotCommunities (source code)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the Shared Source License displayed here:
// http://www.codeplex.com/DotCommunities/Project/License.aspx
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// Shared Source License for more details.
//
// Please do not remove any copyright or other notices from this Software.
//
// =========================================================================

using System;

using DotCommunities.Framework.Components;

namespace DotCommunities.Framework.Controls
{
    /// <summary>
    /// Represents the date content was added.
    /// This control gets most of its functionality from the base
    /// <see cref="DisplayDate"/> class.
    /// </summary>
    public class DateCreated : DisplayDate
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="DateCreated"/> class.
        /// </summary>
        public DateCreated()
            : base()
        {
            CssClass = "DateCreated";
        }

        /// <summary>
        /// Overrides the base Date property with a particular date.
        /// </summary>
        /// <value>A display date.</value>
        override public DateTime Date
        {
            get
            {
                CommunityContent objContentInfo = CommunityContext.CurrentContent;
                return objContentInfo.DateCreated;
            }
        }
    }
}
