// =========================================================================
// .communities - The Free Community Content Management Framework
// Copyright  2007 by Ed Quinn (http://edquinn.net)
// =========================================================================
//
// For more information about this software, visit:
// http://www.DotCommunities.org (official site)
// http://www.codeplex.com/DotCommunities (source code)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the Shared Source License displayed here:
// http://www.codeplex.com/DotCommunities/Project/License.aspx
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// Shared Source License for more details.
//
// Please do not remove any copyright or other notices from this Software.
//
// =========================================================================

using System;
using System.Collections.Generic;
using System.Text;

namespace DotCommunities.Framework.Controls
{
    /// <summary>
    /// Represents a date created displayed in a template.
    /// </summary>
    public class DateCreatedItem : DateItem
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="DateCreatedItem"/> class.
        /// </summary>
        public DateCreatedItem()
            : base()
        {
			CssClass = "ItemDateCreated";
			EnableViewState = false;
		}
 
        /// <summary>
        /// Assigns the correct content item to the date.
        /// </summary>
        /// <param name="contentInfo">The <see cref="CommunityContent"/> object containing the date.</param>
        override protected void AssignContentItem(CommunityContent contentInfo)
        {
            Date = contentInfo.DateCreated;
        }
    }
}
