// =========================================================================
// .communities - The Free Community Content Management Framework
// Copyright  2007 by Ed Quinn (http://edquinn.net)
// =========================================================================
//
// For more information about this software, visit:
// http://www.DotCommunities.org (official site)
// http://www.codeplex.com/DotCommunities (source code)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the Shared Source License displayed here:
// http://www.codeplex.com/DotCommunities/Project/License.aspx
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// Shared Source License for more details.
//
// Please do not remove any copyright or other notices from this Software.
//
// =========================================================================

using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.ComponentModel;

using DotCommunities.Framework.Components;
using DotCommunities.Framework.Designers;

namespace DotCommunities.Framework.Controls
{
	/// <summary>
    /// Represents a page footer. 
	/// </summary>
    [Designer(typeof(CommunityDesigner))]
    public class PageFooter : WebPartControlBase 
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="PageFooter"/> class.
        /// </summary>
		public PageFooter() 
            : base()
		{
			CssClass = "PageFooter";
		}

        /// <summary>
        /// Renders the contents of the control to the specified writer. This method is used primarily by control developers.
        /// </summary>
        /// <param name="writer">A <see cref="HtmlTextWriter" /> that represents the output stream to render HTML content on the client.</param>
        override protected void RenderContents(HtmlTextWriter writer) 
        {            
            // Write footer
            if (Context != null)
                writer.Write(CommunityContext.CurrentSection.PageFooter);
        }
    }
}
