// =========================================================================
// .communities - The Free Community Content Management Framework
// Copyright  2007 by Ed Quinn (http://edquinn.net)
// =========================================================================
//
// For more information about this software, visit:
// http://www.DotCommunities.org (official site)
// http://www.codeplex.com/DotCommunities (source code)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the Shared Source License displayed here:
// http://www.codeplex.com/DotCommunities/Project/License.aspx
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// Shared Source License for more details.
//
// Please do not remove any copyright or other notices from this Software.
//
// =========================================================================

using System;

namespace DotCommunities.Framework.Enums
{
    /// <summary>
    /// Lists the possible moderation status values of community content.
    /// </summary>
    public enum ModerationStatus
    {
        /// <summary>
        /// The content is pending moderation.
        /// </summary>
        Pending = 0,
        /// <summary>
        /// The content has been moderated and approved.
        /// </summary>
        Approved = 1,
        /// <summary>
        /// The content has been moderated and rejected.
        /// </summary>
        Rejected = -1
    }
}
