// =========================================================================
// .communities - The Free Community Content Management Framework
// Copyright  2007 by Ed Quinn (http://edquinn.net)
// =========================================================================
//
// For more information about this software, visit:
// http://www.DotCommunities.org (official site)
// http://www.codeplex.com/DotCommunities (source code)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the Shared Source License displayed here:
// http://www.codeplex.com/DotCommunities/Project/License.aspx
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// Shared Source License for more details.
//
// Please do not remove any copyright or other notices from this Software.
//
// =========================================================================

namespace DotCommunities.Framework.Enums
{
    /// <summary>
    /// This enumeration represents all the role types that can be used with .communities.
    /// </summary>
    public enum RoleType
    {
        /// <summary>
        /// The user can view a page.
        /// </summary>
        ViewRole = 0,
        /// <summary>
        /// The user can add a page.
        /// </summary>
        AddRole = 1,
        /// <summary>
        /// The user can edit a page.
        /// </summary>
        EditRole = 2,
        /// <summary>
        /// The user can delete a page.
        /// </summary>
        DeleteRole = 3,
        /// <summary>
        /// The user can comment on a page.
        /// </summary>
        CommentRole = 4,
        /// <summary>
        /// The user can rate a page.
        /// </summary>
        RateRole = 5,
        /// <summary>
        /// The user can moderate a page.
        /// </summary>
        ModerateRole = 6
    }
}
