// =========================================================================
// .communities - The Free Community Content Management Framework
// Copyright  2007 by Ed Quinn (http://edquinn.net)
// =========================================================================
//
// For more information about this software, visit:
// http://www.DotCommunities.org (official site)
// http://www.codeplex.com/DotCommunities (source code)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the Shared Source License displayed here:
// http://www.codeplex.com/DotCommunities/Project/License.aspx
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// Shared Source License for more details.
//
// Please do not remove any copyright or other notices from this Software.
//
// =========================================================================

using System;
using System.Data;
using System.Collections.Generic;

using DotCommunities.Framework.Components;

namespace DotCommunities.Framework.Providers
{
    /// <summary>
    /// Partial class for the <see cref="FrameworkProvider" /> provider.
    /// </summary>
    public abstract partial class FrameworkProvider : CommunityProviderBase
    {
        public abstract List<object> GetLatestCategories(int communityID);
        public abstract Dictionary<int, Category> GetCategories(int communityID);
        public abstract DataSet GetCategoryList(int communityID);

        public abstract List<object> GetCategoryContent(int communityID, int categoryID, string userName, int recordsPerPage, int pageIndex, string sortOrder);
        public abstract int GetTotalCategoryRecords(int communityID, int categoryID);

        public abstract int AddCategory(int communityID, int? sectionID, string name, string imageFileName, string description);
        public abstract void EditCategory(int communityID, int categoryID, int? sectionID, string name, string imageFileName, string description);
        public abstract void DeleteCategory(int communityID, int categoryID);
    }
}
