// =========================================================================
// .communities - The Free Community Content Management Framework
// Copyright  2007 by Ed Quinn (http://edquinn.net)
// =========================================================================
//
// For more information about this software, visit:
// http://www.DotCommunities.org (official site)
// http://www.codeplex.com/DotCommunities (source code)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the Shared Source License displayed here:
// http://www.codeplex.com/DotCommunities/Project/License.aspx
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// Shared Source License for more details.
//
// Please do not remove any copyright or other notices from this Software.
//
// =========================================================================

using System;
using System.Data;

using DotCommunities.Framework.Components;

namespace DotCommunities.Framework.Providers
{
    /// <summary>
    /// Partial abstract class for the <see cref="FrameworkProvider" /> provider.
    /// </summary>
    public abstract partial class FrameworkProvider : CommunityProviderBase
    {
        public abstract ImageData GetSectionImage(int communityID, int sectionID, int imageID, int width, int height, bool isThumbnail);
        public abstract ImageData GetCommunityImage(int communityID, string fileName);
        public abstract DataSet GetCommunityImages(int communityID);

        public abstract void AddCommunityImage(int communityID, string fileName, string contentType, int imageType, byte[] imageData);
        public abstract void DeleteCommunityImage(int communityID, string fileName);

        public abstract void SaveSizedSectionImage(int communityID, int imageID, ImageData image);
    }
}
