// =========================================================================
// .communities - The Free Community Content Management Framework
// Copyright  2007 by Ed Quinn (http://edquinn.net)
// =========================================================================
//
// For more information about this software, visit:
// http://www.DotCommunities.org (official site)
// http://www.codeplex.com/DotCommunities (source code)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the Shared Source License displayed here:
// http://www.codeplex.com/DotCommunities/Project/License.aspx
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// Shared Source License for more details.
//
// Please do not remove any copyright or other notices from this Software.
//
// =========================================================================

using System;
using System.Data;

using DotCommunities.Framework.Components;

namespace DotCommunities.Framework.Providers
{
    /// <summary>
    /// Partial abstract class for the <see cref="FrameworkProvider" /> provider.
    /// </summary>
    public abstract partial class FrameworkProvider : CommunityProviderBase
    {
        public abstract DataSet GetAllEnabledSections(int communityID);
        public abstract DataSet GetAllSections(int communityID);
        public abstract Section GetSection(int communityID, int sectionID);
        public abstract DataSet GetChildSections(int sectionID, string userRoles, int pageSize, int pageIndex);
        public abstract DataSet GetPossibleParents(int communityID, int sectionID);
        public abstract int GetChildSectionCount(int sectionID, string userRoles);

        public abstract int AddSection(
                                int communityID,
                                int parentID,
                                string name,
                                string title,
                                string menuTitle,
                                string description,
                                string pageTypeName,
                                string pageSkin,
                                string defaultPageSkin,
                                string pageLayout,
                                string pageStyle,
                                string logo,
                                string pageHeader,
                                string pageFooter,
                                string footer,
                                string pageMetaKeys,
                                string pageMetaDescription,
                                bool enableCategories,
                                bool enableComments,
                                bool enableModeration,
                                bool enableRatings,
                                bool enableCommentRatings,
                                bool enableNotifications,
                                bool enableIndexing,
                                bool inheritTransformations,
                                string transformations,
                                bool areWebBoxesInherited,
                                bool areWebServiceBoxesInherited,
                                int webBoxDisplayMode,
                                int webServiceBoxDisplayMode,
                                string webServicePassword,
                                int allowHtmlInput,
                                int allowCommentHtmlInput,
                                bool isSectionWebService,
                                bool isSectionSyndicated,
                                bool isSystem,
                                bool isEnabled,
                                int recordsPerPage
                                );

        public abstract void EditSection(
                                int communityID,
                                int sectionID,
                                int parentID,
                                string name,
                                string title,
                                string menuTitle,
                                string description,
                                string pageSkin,
                                string defaultPageSkin,
                                string pageLayout, 
                                string pageStyle,
                                string logo,
                                string pageHeader,
                                string pageFooter,
                                string footer,
                                string pageMetaKeys,
                                string pageMetaDescription,
                                bool enableCategories,
                                bool enableComments,
                                bool enableModeration,
                                bool enableRatings,
                                bool enableCommentRatings,
                                bool enableNotifications,
                                bool enableIndexing,
                                bool inheritTransformations,
                                string transformations,
                                bool areWebBoxesInherited,
                                bool areWebServiceBoxesInherited,
                                int webBoxDisplayMode,
                                int webServiceBoxDisplayMode,
                                string webServicePassword,
                                int allowHtmlInput,
                                int allowCommentHtmlInput,
                                bool isSectionWebService,
                                bool isSectionSyndicated,
                                bool isEnabled,
                                int recordsPerPage
                                );

        public abstract void AddSectionRoles(int sectionID, int roleType, string[] roles);
        public abstract void AddSectionWebBoxes(int sectionID, string[] webBoxes);

        public abstract void MoveSectionUp(int communityID, int sectionID);
        public abstract void MoveSectionDown(int communityID, int sectionID);
        public abstract void MakeSectionHome(int communityID, int sectionID);
        public abstract void DeleteSection(int communityID, int sectionID);
    }
}
