// =========================================================================
// .communities - The Free Community Content Management Framework
// Copyright  2007 by Ed Quinn (http://edquinn.net)
// =========================================================================
//
// For more information about this software, visit:
// http://www.DotCommunities.org (official site)
// http://www.codeplex.com/DotCommunities (source code)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the Shared Source License displayed here:
// http://www.codeplex.com/DotCommunities/Project/License.aspx
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// Shared Source License for more details.
//
// Please do not remove any copyright or other notices from this Software.
//
// =========================================================================

using System;
using System.Data;

namespace DotCommunities.Framework.Providers
{
    /// <summary>
    /// Partial class for the implementation of the <see cref="FrameworkProvider"/> abstract class.
    /// </summary>
    public partial class SqlFrameworkProvider : FrameworkProvider
    {
        public override Comment GetComment(int communityID, int contentPageID, string userName)
        {
            Comment comment = null;

            using (IDataReader dr = CreateReader(CreateCommand("Community_CommentsGetComment", communityID, contentPageID, userName)))
                if (dr.Read())
                    comment = new Comment(dr);

            return comment;
        }

        public override DataSet GetComments(int communityID, int contentPageID, string userName, int orderBy)
        {
            return ExecuteDataSet(CreateCommand("Community_CommentsGetComments", communityID, contentPageID, userName, orderBy));
        }

        public override int AddComment(int communityID, int contentPageID, string userName, string title, string metaDescription, string metaKeys, int moderationStatus, string body)
        {
            return Execute(CreateCommand("Community_CommentsAddComment", communityID, contentPageID, userName, title, metaDescription, metaKeys, moderationStatus, body));
        }

        public override void EditComment(int communityID, int contentPageID, string userName, string title, string metaDescription, string metaKeys, string body)
        {
            Execute(CreateCommand("Community_CommentsEditComment", communityID, contentPageID, userName, title, metaDescription, metaKeys, body));
        }
    }
}
