// =========================================================================
// .communities - The Free Community Content Management Framework
// Copyright  2007 by Ed Quinn (http://edquinn.net)
// =========================================================================
//
// For more information about this software, visit:
// http://www.DotCommunities.org (official site)
// http://www.codeplex.com/DotCommunities (source code)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the Shared Source License displayed here:
// http://www.codeplex.com/DotCommunities/Project/License.aspx
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// Shared Source License for more details.
//
// Please do not remove any copyright or other notices from this Software.
//
// =========================================================================

using System;
using System.Data;
using System.Collections.Generic;

namespace DotCommunities.Framework.Providers
{
    /// <summary>
    /// Partial class for the implementation of the <see cref="FrameworkProvider"/> abstract class.
    /// </summary>
    public partial class SqlFrameworkProvider : FrameworkProvider
    {
        public override Dictionary<int, Message> GetMessages(int communityID, string culture)
        {
            Dictionary<int, Message> messages = new Dictionary<int, Message>();

            using (IDataReader dr = CreateReader(CreateCommand("Community_MessagesGetMessages", communityID, culture)))
                while (dr.Read())
                    messages.Add((int)dr["Message_ID"], new Message(dr));

            return messages;
        }

        public override void EditMessage(int communityID, int messageID, string culture, string subject, string body)
        {
            Execute(CreateCommand("Community_MessagesEditMessage", communityID, messageID, culture, subject, body));
        }

        public override Message GetMessage(int communityID, string name, string culture)
        {
            Message message = null;

            using (IDataReader dr = CreateReader(CreateCommand("Community_MessagesGetMessageByName", communityID, name, culture)))
                if (dr.Read())
                    message = new Message(dr);

            return message;
        }
    }
}
