// =========================================================================
// .communities - The Free Community Content Management Framework
// Copyright  2007 by Ed Quinn (http://edquinn.net)
// =========================================================================
//
// For more information about this software, visit:
// http://www.DotCommunities.org (official site)
// http://www.codeplex.com/DotCommunities (source code)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the Shared Source License displayed here:
// http://www.codeplex.com/DotCommunities/Project/License.aspx
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// Shared Source License for more details.
//
// Please do not remove any copyright or other notices from this Software.
//
// =========================================================================

using System;
using System.Data;
using System.Collections.Generic;

namespace DotCommunities.Framework.Providers
{
    /// <summary>
    /// Partial class for the implementation of the <see cref="FrameworkProvider"/> abstract class.
    /// </summary>
    public partial class SqlFrameworkProvider : FrameworkProvider
    {
        public override bool GetNotificationStatus(int communityID, int? contentPageID, int sectionID, string userName)
        {
            return Execute(CreateCommand("Community_NotificationsGetStatus", communityID, contentPageID, sectionID, userName)) > 0;
        }

        public override void UpdateNotificationStatus(int communityID, int? contentPageID, int sectionID, string userName, bool notify)
        {
            Execute(CreateCommand("Community_NotificationsUpdateStatus", communityID, contentPageID, sectionID, userName, notify));
        }

        public override List<string> GetNotificationUsers(int communityID, int sectionID, int? contentPageID)
        {
            List<string> users = new List<string>();

            using (IDataReader dr = CreateReader(CreateCommand("Community_NotificationsGetUsers", communityID, sectionID, contentPageID)))
                while (dr.Read())
                    users.Add(dr["User_UserName"].ToString());

            return users;
        }
    }
}
