// =========================================================================
// .communities - The Free Community Content Management Framework
// Copyright  2007 by Ed Quinn (http://edquinn.net)
// =========================================================================
//
// For more information about this software, visit:
// http://www.DotCommunities.org (official site)
// http://www.codeplex.com/DotCommunities (source code)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the Shared Source License displayed here:
// http://www.codeplex.com/DotCommunities/Project/License.aspx
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// Shared Source License for more details.
//
// Please do not remove any copyright or other notices from this Software.
//
// =========================================================================

using System;
using System.Data;
using System.Collections.Generic;

namespace DotCommunities.Framework.Providers
{
    /// <summary>
    /// Partial class for the implementation of the <see cref="FrameworkProvider"/> abstract class.
    /// </summary>
    public partial class SqlFrameworkProvider : FrameworkProvider
    {
        public override DataSet GetQuotes(int communityID)
        {
            return ExecuteDataSet(CreateCommand("Community_QuotesGetQuotes", communityID));
        }

        public override int AddQuote(int communityID, string quote_Text)
        {
            return Execute(CreateCommand("Community_QuotesAddQuote", communityID, quote_Text));
        }

        public override void EditQuote(int communityID, int quote_ID, string quote_Text)
        {
            Execute(CreateCommand("Community_QuotesEditQuote", communityID, quote_ID, quote_Text));
        }

        public override void DeleteQuote(int communityID, int quote_ID)
        {
            Execute(CreateCommand("Community_QuotesDeleteQuote", communityID, quote_ID));
        }
    }
}
