// =========================================================================
// .communities - The Free Community Content Management Framework
// Copyright  2007 by Ed Quinn (http://edquinn.net)
// =========================================================================
//
// For more information about this software, visit:
// http://www.DotCommunities.org (official site)
// http://www.codeplex.com/DotCommunities (source code)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the Shared Source License displayed here:
// http://www.codeplex.com/DotCommunities/Project/License.aspx
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// Shared Source License for more details.
//
// Please do not remove any copyright or other notices from this Software.
//
// =========================================================================

using System;
using System.Data;
using System.Collections.Generic;

namespace DotCommunities.Framework.Providers
{
    /// <summary>
    /// Partial class for the implementation of the <see cref="FrameworkProvider"/> abstract class.
    /// </summary>
    public partial class SqlFrameworkProvider : FrameworkProvider
    {
        public override void LogVisit(Guid requestRef, DateTime requestTime, DateTime expiryTime, int communityID, int? sectionID, int? contentPageID, string contentType, string rawUrl, string requestType, string referrer, int statusCode, string statusDescription, bool secureConnection, string userName, string hostName, string hostAddress, bool isAuthenticated, string platform, string browser, string browserType, string version, string clrVersion, bool crawler, bool cookies)
        {
            Execute(CreateCommand("Community_StatisticsLogVisit", requestRef, requestTime, expiryTime, communityID, sectionID, contentPageID, contentType, rawUrl, requestType, referrer, statusCode, statusDescription, secureConnection, userName, hostName, hostAddress, isAuthenticated, platform, browser, browserType, version, clrVersion, crawler, cookies));
        }
    }
}
