// =========================================================================
// .communities - The Free Community Content Management Framework
// Copyright  2007 by Ed Quinn (http://edquinn.net)
// =========================================================================
//
// For more information about this software, visit:
// http://www.DotCommunities.org (official site)
// http://www.codeplex.com/DotCommunities (source code)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the Shared Source License displayed here:
// http://www.codeplex.com/DotCommunities/Project/License.aspx
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// Shared Source License for more details.
//
// Please do not remove any copyright or other notices from this Software.
//
// =========================================================================

using System;
using System.Data;
using System.Data.Common;
using System.Collections.Generic;

namespace DotCommunities.Framework.Providers
{
    /// <summary>
    /// Partial class for the implementation of the <see cref="FrameworkProvider"/> abstract class.
    /// </summary>
    public partial class SqlFrameworkProvider : FrameworkProvider
    {
        public override List<LocalUser> GetUsers(int communityID)
        {
            List<LocalUser> userInfo = new List<LocalUser>();

            using (IDataReader dr = CreateReader(CreateCommand("Community_UsersGetUsers", communityID)))
                while (dr.Read())
                    userInfo.Add(new LocalUser(dr));

            return userInfo;
        }

        public override LocalUser GetUser(int communityID, string userName)
        {
            LocalUser userInfo = null;

            using (IDataReader dr = CreateReader(CreateCommand("Community_UsersGetUser", communityID, userName)))
                if (dr.Read())
                    userInfo = new LocalUser(dr);

            return userInfo;
        }

        public override void UpdateUser(int communityID, string userName, bool enableNewsletter, bool enableNotifications, int userQuota)
        {
            Execute(CreateCommand("Community_UsersUpdateUser", communityID, userName, enableNewsletter, enableNotifications, userQuota));
        }
    }
}
