// =========================================================================
// .communities - The Free Community Content Management Framework
// Copyright  2007 by Ed Quinn (http://edquinn.net)
// =========================================================================
//
// For more information about this software, visit:
// http://www.DotCommunities.org (official site)
// http://www.codeplex.com/DotCommunities (source code)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the Shared Source License displayed here:
// http://www.codeplex.com/DotCommunities/Project/License.aspx
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// Shared Source License for more details.
//
// Please do not remove any copyright or other notices from this Software.
//
// =========================================================================

using System;

using DotCommunities.Framework.Controls;
using DotCommunities.Modules.Managers;

namespace DotCommunities.Modules.Controls
{
    /// <summary>
    /// Represents the default page for the Articles section. This class 
    /// displays a list of article listings.
    /// </summary>
    public class ArticleListPage : ContentListPage
    {
        string _skinFileName = "Articles_ArticleList.ascx";

        GetContentItemsDelegate _getContentItems = 
            new GetContentItemsDelegate(ModuleManager.GetArticles);
        
        /// <summary>
        ///  Assigns skin and content items method to base 
        /// <see cref="ContentListPage"/> class.
        /// </summary>
        public ArticleListPage()
            : base()
        {
            // Setup the page data
            SkinFileName = _skinFileName;
            GetContentItems = _getContentItems;
        }
    }
}
