// =========================================================================
// .communities - The Free Community Content Management Framework
// Copyright  2007 by Ed Quinn (http://edquinn.net)
// =========================================================================
//
// For more information about this software, visit:
// http://www.DotCommunities.org (official site)
// http://www.codeplex.com/DotCommunities (source code)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the Shared Source License displayed here:
// http://www.codeplex.com/DotCommunities/Project/License.aspx
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// Shared Source License for more details.
//
// Please do not remove any copyright or other notices from this Software.
//
// =========================================================================

using System;
using System.Collections;
using System.Threading;

using Microsoft.Practices.EnterpriseLibrary.Common.Configuration;
using Microsoft.Practices.EnterpriseLibrary.Common.Configuration.ObjectBuilder;

using DotCommunities.Blocks.Tasks.Configuration;

namespace DotCommunities.Blocks.Tasks
{
    /// <summary>
    /// Factory for <see cref="TaskManager"/>s. This class is responsible for creating all the internal
    /// classes needed to implement a TaskManagers.
    /// </summary>
    public class TaskManagerFactory : LocatorNameTypeFactoryBase<TaskManager>
	{
		/// <summary>
        /// <para>Initializes a new instance of the <see cref="TaskManagerFactory"/> class 
		/// with the default configuration source.</para>
		/// </summary>
		protected TaskManagerFactory()
			: base()
		{
		}
 
		/// <summary>
        /// <para>Initializes a new instance of the <see cref="TaskManagerFactory"/> class 
		/// with the given configuration source.</para>
		/// </summary>
        /// <param name="configurationSource">The configuration source that contains information on how to build the <see cref="CacheManager"/> instances</param>
        public TaskManagerFactory(IConfigurationSource configurationSource)
			: base(configurationSource)
		{ }
    }
}
