<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Admin/Styles/Admin.master" CodeFile="Default.aspx.cs" Inherits="Admin_Categories_Default" %>

<%@ Register Src="../Controls/TitleBar.ascx" TagName="TitleBar" TagPrefix="admin" %>
<%@ Register Src="../Controls/GridPageSize.ascx" TagName="GridPageSize" TagPrefix="admin" %>
<asp:Content ID="DefaultContent" ContentPlaceHolderID="MainContent" runat="Server">
    <asp:ScriptManagerProxy ID="MainScriptManagerProxy" runat="server" />
    <div class="pagedescription">
        Categories enable you to categorise content across different sections. The category menu
        provides an alternative to the section menu for navigating your community.
        <br />
        <br />
        The category menu automatically displays the last 5 distinct categories associated with
        content items added to your community. The category menu is automatically refereshed
        every 10 minutes.
    </div>
    <asp:UpdatePanel ID="CategoriesUpdater" runat="server">
        <ContentTemplate>
            <asp:CheckBox ID="chkEnableCategoryMenu" AutoPostBack="true" Text="Enable Category Menu?"
                runat="server" OnCheckedChanged="UpdateEnableCategoryMenu" />
            <br />
            <br />
            <asp:Panel ID="pnlCategories" runat="Server">
                <admin:TitleBar ID="CategoryTitleBar" runat="server" Text="Categories" />
                <asp:GridView ID="CategoriesGrid" runat="server" DataSourceID="CategoriesDataSource" AllowPaging="True"
                    AllowSorting="True" AutoGenerateColumns="False" GridLines="None" Width="100%"
                    CellPadding="3" DataKeyNames="Category_ID" OnRowDataBound="CategoriesGrid_RowDataBound"
                    OnRowDeleting="CategoriesGrid_RowDeleting">
                    <HeaderStyle CssClass="gridheader" />
                    <AlternatingRowStyle CssClass="gridaltrow" />
                    <RowStyle CssClass="gridrow" />                    
                    <Columns>
                        <asp:TemplateField>
                            <HeaderStyle HorizontalAlign="Center" />
                            <HeaderTemplate>
                                &nbsp;&nbsp;Edit&nbsp;&nbsp;
                            </HeaderTemplate>
                            <ItemTemplate>
                                <center>
                                    <asp:HyperLink ID="lnkEdit" ImageUrl="../Images/Edit.gif" Text="Edit" runat="Server" />
                                </center>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField>
                            <HeaderStyle HorizontalAlign="Center" />
                            <HeaderTemplate>
                                &nbsp;&nbsp;Delete&nbsp;&nbsp;
                            </HeaderTemplate>
                            <ItemTemplate>
                                <center>
                                    <asp:ImageButton ID="btnDelete" CommandName="Delete" ImageUrl="../Images/Delete.gif"
                                        AlternateText="Delete" runat="Server" />
                                </center>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField HeaderText="Name" DataField="Category_Name" SortExpression="Category_Name" />
                        <asp:BoundField HeaderText="Section" DataField="Section_Name" SortExpression="Section_Name" />
                        <asp:TemplateField HeaderText="Category Path" SortExpression="Section_Name">
                            <ItemTemplate>
                                <asp:HyperLink ID="lnkCategory" runat="server" />
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                    <EmptyDataTemplate>
                        <p><i>There are no categories to display.</i></p>
                    </EmptyDataTemplate>
                </asp:GridView>
                <hr />
                <admin:GridPageSize ID="CategoryPageSizer" runat="server" GridViewID="CategoriesGrid" AllowAll="false" />
                <asp:ObjectDataSource ID="CategoriesDataSource" runat="server" TypeName="DotCommunities.Framework.Managers.FrameworkManager"
                    OldValuesParameterFormatString="{0}" SelectMethod="GetCategoryList" DeleteMethod="DeleteCategory">
                    <DeleteParameters>
                        <asp:Parameter Type="Int32" Name="category_ID"></asp:Parameter>
                    </DeleteParameters>
                </asp:ObjectDataSource>
            </asp:Panel>            
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>