// =========================================================================
// .communities - The Free Community Content Management Framework
// Copyright  2007 by Ed Quinn (http://edquinn.net)
// =========================================================================
//
// For more information about this software, visit:
// http://www.DotCommunities.org (official site)
// http://www.codeplex.com/DotCommunities (source code)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the Shared Source License displayed here:
// http://www.codeplex.com/DotCommunities/Project/License.aspx
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// Shared Source License for more details.
//
// Please do not remove any copyright or other notices from this Software.
//
// =========================================================================

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using DotCommunities.Framework;

public partial class Admin_Communities_CommunityGeneral : System.Web.UI.UserControl
{
    public Community Community;

    public string CommunityName
    {
        get { return txtName.Text.Trim(); }
    }

    public string DomainName
    {
        get { return txtDomainName.Text.Trim(); }
    }

    public string Domain
    {
        get { return txtDomain.Text.Trim(); }
    }

    public string SubDomain
    {
        get { return txtSubDomain.Text.Trim(); }
    }

    public string ApplicationPath
    {
        get { return txtApplicationPath.Text.Trim(); }
    }

    public int DatabaseQuota
    {
        get { return int.Parse(txtDatabaseQuota.Text); }
    }

    public bool IsEnabled
    {
        get { return chkIsEnabled.Checked; }
    }

    public string AdminUserName
    {
        get 
        { 
            if (Community == null)
                return txtAdminUserName.Text.Trim();
            return string.Empty;
        }
    }

    public string AdminPassword
    {
        get 
        { 
            if (Community == null)
                return txtAdminPassword.Text.Trim();
            return string.Empty;
        }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            if (Community != null)
            {
                // Initialize values from Community object
                txtName.Text = Community.Name;
                txtDomainName.Text = Community.DomainName;
                txtDomain.Text = Community.Domain;
                txtSubDomain.Text = Community.SubDomain;
                txtApplicationPath.Text = Community.ApplicationPath;
                txtDatabaseQuota.Text = Community.DatabaseQuota.ToString();
                chkIsEnabled.Checked = Community.IsEnabled;
            }
            else
            {
                txtDatabaseQuota.Text = "100000";
                chkIsEnabled.Checked = true;

                // Show the Admin user if new community
                NewCommunityPanel.Visible = true;
            }
        }
    }
}
