// =========================================================================
// .communities - The Free Community Content Management Framework
// Copyright  2007 by Ed Quinn (http://edquinn.net)
// =========================================================================
//
// For more information about this software, visit:
// http://www.DotCommunities.org (official site)
// http://www.codeplex.com/DotCommunities (source code)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the Shared Source License displayed here:
// http://www.codeplex.com/DotCommunities/Project/License.aspx
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// Shared Source License for more details.
//
// Please do not remove any copyright or other notices from this Software.
//
// =========================================================================

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using DotCommunities.Framework.Controls;
using DotCommunities.Framework.Enums;

public partial class Admin_Main_Default : AdministrationPage
{
    protected override string PageTitle
    {
        get { return "Community Administration Home"; }
    }

    protected override string PageSubTitle
    {
        get { return "Use this page to configure and maintain your community site."; }
    }

    protected override string[] MenuItems
    {
        get { return new string[] { "Sections", "Users &amp; Roles", "Content", "Services", "Configuration", "Help" }; }
    }

    protected override string[] MenuLinks
    {
        get 
        { 
            return new string[] 
                { 
                    "Sections/Default.aspx", 
                    "Users/Default.aspx", 
                    "Main/Content.aspx", 
                    "Main/Services.aspx",
                    "Main/Configuration.aspx",
                    "Main/Help.aspx"
                }; 
        }
    }

    protected override string[] ActionItems
    {
        get { return new string[] { "View Activity Log", "View Site Statistics" }; }
    }

    protected override string[] ActionLinks
    {
        get 
        { 
            return new string[] 
                { 
                    "ActivityLog/Default.aspx",
                    "Main/Statistics.aspx"
                }; 
        }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        SiteStatus.StatusChanged += new EventHandler(SiteStatus_Changed);
    }

    protected void SiteStatus_Changed(object sender, EventArgs e)
    {
        if (SiteStatus.Status == CommunityStatus.Offline)
            ShowWarning("This site has been taken offline");
        else
            ShowInformation("This site is now available to view");
    }
}
