// =========================================================================
// .communities - The Free Community Content Management Framework
// Copyright  2007 by Ed Quinn (http://edquinn.net)
// =========================================================================
//
// For more information about this software, visit:
// http://www.DotCommunities.org (official site)
// http://www.codeplex.com/DotCommunities (source code)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the Shared Source License displayed here:
// http://www.codeplex.com/DotCommunities/Project/License.aspx
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// Shared Source License for more details.
//
// Please do not remove any copyright or other notices from this Software.
//
// =========================================================================

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using DotCommunities.Framework.Controls;

public partial class Admin_Main_Help : AdministrationPage
{
    protected override string PageTitle
    {
        get { return "Help &amp; Support Documentation"; }
    }

    protected override string PageSubTitle
    {
        get { return "Use this page to view the Help &amp; Support documentation."; }
    }

    protected override string[] MenuItems
    {
        get { return new string[] {"Index", "Installation", "Quick Start", "Whats New", "Developer", "General", "Architecture", "ISP OVerview"}; }
    }

    protected override string[] MenuLinks
    {
        get 
        {
            string installUrl = "~/Documentation/Installation.htm";
            string quickStartUrl = "~/Documentation/QuickStart.htm";
            string whatsNewUrl = "~/Documentation/WhatsNew.htm";
            string developerUrl = "~/Documentation/Developer.htm";
            string generalUrl = "~/Documentation/General.htm";
            string architectureUrl = "~/Documentation/Architecture.htm";
            string ispUrl = "~/Documentation/ISPOverview.htm";

            return new string[] 
                { 
                    "Main/Help.aspx",
                    "Main/Help.aspx?Location=" + HttpUtility.UrlEncode(installUrl), 
                    "Main/Help.aspx?Location=" + HttpUtility.UrlEncode(quickStartUrl),
                    "Main/Help.aspx?Location=" + HttpUtility.UrlEncode(whatsNewUrl),
                    "Main/Help.aspx?Location=" + HttpUtility.UrlEncode(developerUrl),
                    "Main/Help.aspx?Location=" + HttpUtility.UrlEncode(generalUrl),
                    "Main/Help.aspx?Location=" + HttpUtility.UrlEncode(architectureUrl),
                    "Main/Help.aspx?Location=" + HttpUtility.UrlEncode(ispUrl)
                }; 
        }
    }

    protected override string[] ActionItems
    {
        get { return new string[] { "Official Site" }; }
    }

    protected override string[] ActionLinks
    {
        get 
        {
            return new string[] { "Main/Help.aspx?Location=" + HttpUtility.UrlEncode("http://www.DotCommunities.org") }; 
        }
    }

    protected string HelpFile
    {
        get
        {
            string helpUrl = "~/Admin/Documentation/Documentation.htm";

            if (!string.IsNullOrEmpty(Request.QueryString["Location"]))
                helpUrl = HttpUtility.UrlDecode(Request.QueryString["Location"]);

            return helpUrl;
        }
    }
}
