// =========================================================================
// .communities - The Free Community Content Management Framework
// Copyright  2007 by Ed Quinn (http://edquinn.net)
// =========================================================================
//
// For more information about this software, visit:
// http://www.DotCommunities.org (official site)
// http://www.codeplex.com/DotCommunities (source code)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the Shared Source License displayed here:
// http://www.codeplex.com/DotCommunities/Project/License.aspx
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// Shared Source License for more details.
//
// Please do not remove any copyright or other notices from this Software.
//
// =========================================================================

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using DotCommunities.Framework.Controls;

public partial class Admin_Main_Services : AdministrationPage
{
    protected override string PageTitle
    {
        get { return "Community Services Administration"; }
    }

    protected override string PageSubTitle
    {
        get { return "Use this page to configure community services."; }
    }

    protected override string[] MenuItems
    {
        get { return new string[] { "Home", "Subscriptions", "Web Box Services", "Newsletters", "Activity Log" }; }
    }

    protected override string[] MenuLinks
    {
        get
        {
            return new string[] 
                { 
                    "Main/Default.aspx",
                    "ServiceSubscriptions/Default.aspx", 
                    "WebBoxServices/Default.aspx", 
                    "Newsletters/Default.aspx",
                    "ActivityLog/Default.aspx"
                };
        }
    }

    protected override string[] ActionItems
    {
        get { return new string[] { "View Activity Log", "View Site Statistics" }; }
    }

    protected override string[] ActionLinks
    {
        get
        {
            return new string[] 
                { 
                    "ActivityLog/Default.aspx",
                    "Main/Statistics.aspx"
                };
        }
    }
}
