// =========================================================================
// .communities - The Free Community Content Management Framework
// Copyright  2007 by Ed Quinn (http://edquinn.net)
// =========================================================================
//
// For more information about this software, visit:
// http://www.DotCommunities.org (official site)
// http://www.codeplex.com/DotCommunities (source code)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the Shared Source License displayed here:
// http://www.codeplex.com/DotCommunities/Project/License.aspx
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// Shared Source License for more details.
//
// Please do not remove any copyright or other notices from this Software.
//
// =========================================================================

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using DotCommunities.Framework.Controls;
using DotCommunities.Framework.Enums;

public partial class Admin_Quotes_Default : AdministrationPage
{
    protected override string PageTitle
    {
        get { return "Random Quotes"; }
    }

    protected override string PageSubTitle
    {
        get { return "Use this page to configure and maintain your random quotes."; }
    }

    protected override string[] MenuItems
    {
        get { return new string[] { "Home", "Content" }; }
    }

    protected override string[] MenuLinks
    {
        get
        {
            return new string[] 
                { 
                    "Main/Default.aspx",
                    "Main/Content.aspx"
                };
        }
    }

    protected override string[] ActionItems
    {
        get { return new string[] { "Add New Quote" }; }
    }

    protected override string[] ActionLinks
    {
        get
        {
            return new string[] 
                { 
                    "RandomQuotes/AddQuote.aspx"
                };
        }
    }

    protected void QuotesGrid_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        HyperLink lnkEdit;
        ImageButton btnDelete;

        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            DataRowView drow = (DataRowView)e.Row.DataItem;
            lnkEdit = (HyperLink)e.Row.FindControl("lnkEdit");
            lnkEdit.NavigateUrl = String.Format("EditQuote.aspx?id={0}", drow["Quote_ID"]);
            btnDelete = (ImageButton)e.Row.FindControl("btnDelete");
            btnDelete.CommandArgument = e.Row.RowIndex.ToString();
            btnDelete.Attributes.Add("onclick", "javascript:return confirm('Are you sure you want to delete this quote?');");
        }
    }

    protected void QuotesGrid_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        // Cancel delete if user is not in system role
        e.Cancel = !Roles.IsUserInRole(CommunityRole.Administrators.ToString());
        // If we are cancelling the delete then show a message to say so
        if (e.Cancel)
            ShowWarning("Only Community Administrators are allowed to delete quotes.");
    }
}
