<%@ Page Language="c#" MasterPageFile="~/Admin/Styles/Admin.master" Inherits="Admin_Sections_AddSection"
    CodeFile="AddSection.aspx.cs" AutoEventWireup="true" %>

<%@ Register TagPrefix="community" TagName="SectionWebBoxes" Src="SectionWebBoxes.ascx" %>
<%@ Register TagPrefix="community" TagName="SectionAdvanced" Src="SectionAdvanced.ascx" %>
<%@ Register TagPrefix="community" TagName="SectionGeneral" Src="SectionGeneral.ascx" %>
<%@ Register TagPrefix="community" TagName="SectionWebServices" Src="SectionWebServices.ascx" %>
<%@ Register TagPrefix="community" TagName="SectionAppearance" Src="SectionAppearance.ascx" %>
<%@ Register TagPrefix="community" TagName="SectionSecurity" Src="SectionSecurity.ascx" %>
<asp:Content ID="SectionContent" ContentPlaceHolderID="MainContent" runat="Server">
    <asp:ScriptManagerProxy ID="MainScriptManagerProxy" runat="server" />
    <div class="pageDescription">
        Use this page to add a new section to your community. Click one of the tabs to modify
        a particular type of property.
    </div>
    <dcc:DisplayQuota ID="valQuota" Text="Over community quota, please delete existing images before you continue."
        runat="Server" />
    <br />
    <asp:UpdatePanel ID="SectionUpdater" runat="server">
        <Triggers>
            <asp:PostBackTrigger ControlID="btnAddSection" />
        </Triggers>
        <contenttemplate>
            <ajaxToolkit:TabContainer ID="SectionTabs" runat="server">
                <ajaxToolkit:TabPanel ID="GeneralTab" runat="server" HeaderText="General">
                    <ContentTemplate>
                        <community:SectionGeneral ID="ctlGeneral" runat="Server" />
                    </ContentTemplate>         
                </ajaxToolkit:TabPanel>        
                <ajaxToolkit:TabPanel ID="AppearanceTab" runat="server" HeaderText="Appearance">
                    <ContentTemplate>
                        <community:SectionAppearance ID="ctlAppearance" runat="Server" />
                    </ContentTemplate>         
                </ajaxToolkit:TabPanel>  
                <ajaxToolkit:TabPanel ID="WebBoxesTab" runat="server" HeaderText="Web Boxes">
                    <ContentTemplate>
                        <community:SectionWebBoxes ID="ctlWebBoxes" runat="Server" />
                    </ContentTemplate>         
                </ajaxToolkit:TabPanel>        
                <ajaxToolkit:TabPanel ID="SecurityTab" runat="server" HeaderText="Security">
                    <ContentTemplate>
                        <community:SectionSecurity ID="ctlSecurity" runat="Server" />
                    </ContentTemplate>         
                </ajaxToolkit:TabPanel>        
                <ajaxToolkit:TabPanel ID="WebServicesTab" runat="server" HeaderText="Web Services">
                    <ContentTemplate>
                        <community:SectionWebServices ID="ctlWebServices" runat="Server" />
                    </ContentTemplate>         
                </ajaxToolkit:TabPanel>        
                <ajaxToolkit:TabPanel ID="AdvancedTab" runat="server" HeaderText="Advanced">
                    <ContentTemplate>
                        <community:SectionAdvanced ID="ctlAdvanced" runat="Server" />
                    </ContentTemplate>         
                </ajaxToolkit:TabPanel>        
            </ajaxToolkit:TabContainer>
            <br />
            <asp:Button ID="btnAddSection" OnClick="btnAddSection_AddSection" runat="server" Text="Add Section" Width="102px" CssClass="Button" />&nbsp;
            <asp:Label ID="lblAdminOnly" runat="server" Visible="false" Text="System Admin Only" ForeColor="Red" />
            <br />            
            <asp:ValidationSummary runat="server" ID="SectionValidationSummary" />
            <hr />
        </contenttemplate>
    </asp:UpdatePanel>
</asp:Content>
