<%@ Page Language="c#" MasterPageFile="~/Admin/Styles/Admin.master" AutoEventWireup="true"
    CodeFile="Default.aspx.cs" Inherits="Admin_Sections_Default" Title="Untitled Page" %>

<%@ Register Src="../Controls/TitleBar.ascx" TagName="TitleBar" TagPrefix="admin" %>
<%@ Register Src="../Controls/GridPageSize.ascx" TagName="GridPageSize" TagPrefix="admin" %>

<asp:Content ID="UsersContent" ContentPlaceHolderID="MainContent" runat="Server">
    <asp:ScriptManagerProxy ID="MainScriptManagerProxy" runat="server" />
    <div class="pagedescription">
        A community Web site is created from sections. A section contains a particular type
        of content such as articles or books.
        <br />
        <br />
        You can use this page to add new sections, edit existing sections, or delete sections.
        You can also modify the order in which sections appear in the section menu. Finally,
        you can use this page to designate a particular section as the home section.
        <br />
        <br />
        Section types marked with <strong>*</strong> are <i>System Sections</i> - these are special
        sections that are created automatically and can be edited but not deleted.
    </div>
    <admin:TitleBar ID="SectionsTitleBar" runat="server" Text="Sections" />
    <asp:UpdatePanel ID="SectionUpdater" runat="server">
        <ContentTemplate>
            <asp:GridView ID="SectionsGrid"  runat="server" BorderStyle="None" CellPadding="5" PageSize="5"
                GridLines="None" AutoGenerateColumns="False" Width="100%" AllowPaging="True" DataKeyNames="Section_ID"
                AllowSorting="True" OnRowCommand="SectionsGrid_RowCommand" OnRowDataBound="SectionsGrid_RowDataBound" DataSourceID="SectionDataSource">
                <AlternatingRowStyle CssClass="gridaltrow" />
                <RowStyle CssClass="gridrow" />
                <HeaderStyle CssClass="gridheader" />
                <Columns>
                    <asp:TemplateField HeaderText=" Home " SortExpression="Section_ParentID">
                        <HeaderStyle HorizontalAlign="Center" />
                        <ItemStyle HorizontalAlign="Center" />
                        <ItemTemplate>
                            <asp:ImageButton ID="btnHome" runat="Server" CommandName="Home"
                                ToolTip="Select Home Page" AlternateText="Home" />
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText=" Edit ">
                        <HeaderStyle HorizontalAlign="Center" />
                        <ItemStyle HorizontalAlign="Center" />
                        <ItemTemplate>
                            <asp:HyperLink ID="lnkEdit" ImageUrl="../Images/Edit.gif" Text="Edit" NavigateUrl='<%# String.Format("EditSection.aspx?id={0}", DataBinder.Eval( Container, "DataItem.section_id" ) )%>'
                                    runat="Server" />
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText=" Delete ">
                        <HeaderStyle HorizontalAlign="Center" />
                        <ItemStyle HorizontalAlign="Center" />
                        <ItemTemplate>
                            <asp:ImageButton ID="btnDelete" runat="Server" AlternateText="Delete" ImageUrl="../Images/Delete.gif"
                                CommandName="Delete" ToolTip="Delete" />
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText=" Sort Up ">
                        <HeaderStyle HorizontalAlign="Center" />
                        <ItemStyle HorizontalAlign="Center" />
                        <ItemTemplate>
                            <asp:ImageButton ID="btnSortUp" runat="server" AlternateText="Up" ImageUrl="../Images/Up.gif"
                                CommandName="Up" ToolTip="Move Section Up" />
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText=" Sort Down ">
                        <HeaderStyle HorizontalAlign="Center" />
                        <ItemStyle HorizontalAlign="Center" />
                        <ItemTemplate>
                            <asp:ImageButton ID="btnSortDown" runat="server" AlternateText="Down" ImageUrl="../Images/Dn.gif"
                                CommandName="Down" ToolTip="Move Section Down" />
                         </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText="Section Type" SortExpression="Section_PageTypeName">
                        <ItemTemplate>
                            <%# GetPageTypeName(Eval("Section_PageTypeName").ToString()) %>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:BoundField DataField="Section_Name" HeaderText="Section Name" SortExpression="Section_Name" />
                    <asp:TemplateField HeaderText="Section Path" SortExpression="Section_Path">
                        <ItemTemplate>
                            <span class="Content">
                                <asp:HyperLink ID="lnkSectionPath" runat="Server" Text='<%# Eval("Section_Path")%>' 
                                    NavigateUrl='<%# Eval("Section_Path") %>' />
                            </span>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
            <hr />
            <admin:GridPageSize ID="SectionPageSizer" runat="server" GridViewID="SectionsGrid" />
            <asp:ObjectDataSource ID="SectionDataSource" runat="server" SelectMethod="GetAllSections"
                TypeName="DotCommunities.Framework.Managers.FrameworkManager" />
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
