<%@ Control Language="c#" Inherits="Admin_Sections_SectionGeneral"
    CodeFile="SectionGeneral.ascx.cs" AutoEventWireup="true" %>

<!-- Section Name -->
<p>
    <table class="formSection">
        <tr>
            <td class="formSectionHeader">
                <img border="0" src="../Images/help.gif" align="right" onmouseover="showHelp('helpName')"
                    onmouseout="hideHelp()">
                Section Name
                <asp:RequiredFieldValidator ControlToValidate="txtName" Text="*" ErrorMessage="You must enter a section name"
                    runat="server" ID="RequiredFieldValidator1" />
            </td>
        </tr>
        <tr>
            <td class="formSectionHelp">
                The name of the section is used to create the section path.
            </td>
        </tr>
        <tr>
            <td class="formSectionContents">
                <asp:TextBox ID="txtName" Columns="30" MaxLength="50" runat="Server" />
                <ajaxToolkit:FilteredTextBoxExtender ID="SectionNameFilter" runat="server"
                    TargetControlID="txtName"         
                    FilterType="Custom, Numbers, LowercaseLetters, UppercaseLetters"
                    ValidChars="_ " />
            </td>
        </tr>
    </table>
</p>
<div id="helpName" style="display: none">
    The name of the section is used to create the section path. For example, if you
    name a section <i>articles</i>, then the path to the section would be <i>/articles/default.aspx</i>.
    <p>
        Avoid using special characters such as commas, periods, and spaces in the name of
        a section.</p>
</div>
<!-- Section Title -->
<p>
    <table class="formSection">
        <tr>
            <td class="formSectionHeader">
                <img border="0" src="../Images/help.gif" align="right" onmouseover="showHelp('helpTitle')"
                    onmouseout="hideHelp()">
                Section Title
                <asp:RequiredFieldValidator ControlToValidate="txtTitle" Text="*" ErrorMessage="You must enter a section title"
                    runat="server" ID="RequiredFieldValidator2" />
            </td>
        </tr>
        <tr>
            <td class="formSectionHelp">
                The title of the section is displayed in the browser title bar and the body of the
                page.
            </td>
        </tr>
        <tr>
            <td class="formSectionContents">
                <asp:TextBox ID="txtTitle" Columns="50" MaxLength="100" runat="Server" />
            </td>
        </tr>
    </table>
</p>
<div id="helpTitle" style="display: none">
    The section title appears in the browser address bar and the body of the page. The
    section title is also used as the title of the section when the section is displayed
    by a parent section.
</div>
<!-- Section Menu Title -->
<p>
    <table class="formSection">
        <tr>
            <td class="formSectionHeader">
                <img border="0" src="../Images/help.gif" align="right" onmouseover="showHelp('helpMenuTitle')"
                    onmouseout="hideHelp()">
                Section Menu Title
                <asp:RequiredFieldValidator ControlToValidate="txtMenuTitle" Text="*" ErrorMessage="You must enter a section menu title"
                    runat="server" ID="RequiredFieldValidator3" />
            </td>
        </tr>
        <tr>
            <td class="formSectionHelp">
                The section menu title is displayed in menus.
            </td>
        </tr>
        <tr>
            <td class="formSectionContents">
                <asp:TextBox ID="txtMenuTitle" Columns="30" MaxLength="50" runat="Server" />
            </td>
        </tr>
    </table>
</p>
<div id="helpMenuTitle" style="display: none">
    The section menu title is displayed in menus. Try to keep the menu title short since
    longer menu titles might distort the page layout of particular themes.
</div>
<!-- Section Description -->
<p>
    <table class="formSection">
        <tr>
            <td class="formSectionHeader">
                <img border="0" src="../Images/help.gif" align="right" onmouseover="showHelp('helpDescription')"
                    onmouseout="hideHelp()">
                Section Description
                <asp:RequiredFieldValidator ControlToValidate="txtDescription" Text="*" ErrorMessage="You must enter a description"
                    runat="server" ID="RequiredFieldValidator4" />
                <dcc:LengthValidator ControlToValidate="txtDescription" MaxLength="500" Text="*"
                    ErrorMessage="Description must be less than 500 characters" runat="server" ID="LengthValidator1" />
            </td>
        </tr>
        <tr>
            <td class="formSectionHelp">
                The section description is displayed when the section is listed in a parent page.
            </td>
        </tr>
        <tr>
            <td class="formSectionContents">
                <asp:TextBox ID="txtDescription" TextMode="MultiLine" Columns="50" Rows="3" runat="Server" />
            </td>
        </tr>
    </table>
</p>
<div id="helpDescription" style="display: none">
    The section description is displayed when the section is listed in a parent page.
    It is also displayed when the section is exposed as a Web service.
</div>
<!-- Section Type -->
<asp:Panel ID="pnlType" runat="server">
    <p>
        <table class="formSection">
            <tr>
                <td class="formSectionHeader">
                    <img onmouseover="showHelp('helpType')" onmouseout="hideHelp()" src="../Images/help.gif"
                        align="right" border="0">
                    Section Type
                </td>
            </tr>
            <tr>
                <td class="formSectionHelp">
                    Select the type of content contained in this section.
                </td>
            </tr>
            <tr>
                <td class="formSectionContents">
                    <asp:RadioButtonList ID="radlPageTypes" runat="server" Font-Size="12px">
                    </asp:RadioButtonList></td>
            </tr>
        </table>
    </p>
</asp:Panel>
<div id="helpType" style="display: none">
    The section type determines the type of content contained in the section. For example,
    to create a section that contains articles, select <b>Articles Section</b>.
    <p>
        Be warned that you cannot change the type of a section after you create it.</p>
</div>
<!-- Parent Section -->
<asp:Panel ID="pnlParentSection" runat="Server">
    <p>
        <table class="formSection">
            <tr>
                <td class="formSectionHeader">
                    <img onmouseover="showHelp('helpParentSection')" onmouseout="hideHelp()" src="../Images/help.gif"
                        align="right" border="0">
                    Parent Section
                </td>
            </tr>
            <tr>
                <td class="formSectionHelp">
                    Select a parent section for this section.
                </td>
            </tr>
            <tr>
                <td class="formSectionContents">
                    <asp:DropDownList ID="dropParentSections" runat="server">
                    </asp:DropDownList></td>
            </tr>
        </table>
    </p>
</asp:Panel>
<div id="helpParentSection" style="display: none">
    <p>
        The Any Section Parent Mod changes the built-in behavior of the CSK to allow any
        section type (page type) to be a parent section. All sections of a page type that
        are configured as a possible parent type will appear in this list.</p>
    <p>
    Any page type can be a parent of other sections; however, there are two built-in
    sections specially designed to be parents. The Home section, and the Parent Section
    types are pre-designed to be parent sections. If you choose another page type to
    be a parent, you may have to make special arrangements in order to allow users to
    navigate to the child sections. The built-in section menu will only show the Home
    section's children, and only the built-in Parent section type contains it's own
    child-section navigation controls.
</div>
<!-- Section Enabled -->
<p>
    <asp:Panel ID="pnlEnabled" runat="server">
        <table class="formSection">
            <tr>
                <td class="formSectionHeader">
                    <img border="0" src="../Images/help.gif" align="right" onmouseover="showHelp('helpIsEnabled')"
                        onmouseout="hideHelp()">
                    Section Enabled
                </td>
            </tr>
            <tr>
                <td class="formSectionHelp">
                    Uncheck to hide this section.
                </td>
            </tr>
            <tr>
                <td class="formSectionContents">
                    <asp:CheckBox ID="chkIsEnabled" runat="server" />
                </td>
            </tr>
        </table>
    </asp:Panel>
</p>
<div id="helpIsEnabled" style="display: none">
    When you disable a section, the section is no longer displayed. Disabling a section
    does not delete the section content.
</div>
