// =========================================================================
// .communities - The Free Community Content Management Framework
// Copyright  2007 by Ed Quinn (http://edquinn.net)
// =========================================================================
//
// For more information about this software, visit:
// http://www.DotCommunities.org (official site)
// http://www.codeplex.com/DotCommunities (source code)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the Shared Source License displayed here:
// http://www.codeplex.com/DotCommunities/Project/License.aspx
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// Shared Source License for more details.
//
// Please do not remove any copyright or other notices from this Software.
//
// =========================================================================

using System;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

using DotCommunities.Framework;
using DotCommunities.Framework.Managers;

/// <summary>
///	Summary description for SectionWebServices.
/// </summary>
public partial class Admin_Sections_SectionWebServices : System.Web.UI.UserControl
{
    public Section Section;

    public bool IsSectionWebService
    {
        get { return chkIsSectionWebService.Checked; }
    }

    public string WebServicePassword
    {
        get { return txtWebServicePassword.Text; }
    }

    public bool ServiceSubscriptionsChanged
    {
        get { return ctlServiceSubscriptions.Changed; }
    }

    public string[] ServiceSubscriptions
    {
        get { return ctlServiceSubscriptions.SelectedItems; }
    }

    protected void Page_Load(object sender, System.EventArgs e)
    {
        if (!IsPostBack)
        {
            if (Section != null)
            {
                chkIsSectionWebService.Checked = Section.IsSectionWebService;
                txtWebServicePassword.Text = Section.WebServicePassword;

                //ctlServiceSubscriptions.SelectedItems = FrameworkManager.GetSectionServiceSubscriptions(Section.ID);
            }

            //ctlServiceSubscriptions.DataSource = FrameworkManager.GetAllServiceSubscriptions();
            ctlServiceSubscriptions.DataField = "name";
            ctlServiceSubscriptions.DataBind();
        }
    }
}