// =========================================================================
// .communities - The Free Community Content Management Framework
// Copyright  2007 by Ed Quinn (http://edquinn.net)
// =========================================================================
//
// For more information about this software, visit:
// http://www.DotCommunities.org (official site)
// http://www.codeplex.com/DotCommunities (source code)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the Shared Source License displayed here:
// http://www.codeplex.com/DotCommunities/Project/License.aspx
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// Shared Source License for more details.
//
// Please do not remove any copyright or other notices from this Software.
//
// =========================================================================

using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

using DotCommunities.Framework.Controls;
using DotCommunities.Framework.Managers;
using DotCommunities.Framework.Enums;
using DotCommunities.Framework.Components;

/// <summary>
/// Summary description for AddImage.
/// </summary>
public partial class Admin_SiteImages_AddImage : AdministrationPage
{
    protected override string PageTitle
    {
        get { return "Add New Image"; }
    }

    protected override string PageSubTitle
    {
        get { return "Add a new image for display from this site."; }
    }

    protected override string[] MenuItems
    {
        get { return new string[] { "Home", "Content", "Images" }; }
    }

    protected override string[] MenuLinks
    {
        get { return new string[] { "Main/Default.aspx", "Main/Content.aspx", "SiteImages/Default.aspx" }; }
    }

    protected override string[] ActionItems
    {
        get { return new string[] { }; }
    }

    protected override string[] ActionLinks
    {
        get { return new string[] { }; }
    }

    protected void Page_Init(object sender, EventArgs e)
    {
        Page.Form.Enctype = "multipart/form-data";
    }

    //*******************************************************
    //
    // Add the new community image to the database.
    //
    //*******************************************************

    protected void btnAdd_Click(Object s, EventArgs e)
    {
        if (Page.IsValid)
        {
            string imageFileName = null;

            try
            {
                imageFileName = FrameworkManager.AddCommunityImage(ImageType.Global, txtImage.PostedFile);
            }
            catch
            {
                ShowError("Failed to upload image.");
                return;
            }

            ReturnInformation("Default.aspx", string.Format("Image {0} added sucessfully.", imageFileName));
        }
    }

    protected void cvFileName_ServerValidate(object source, ServerValidateEventArgs args)
    {
        String FileName = txtImage.FileName;
        args.IsValid = (CommunityContext.GetPageNumber(FileName) <= 0);
    }
}
