<%@ Page Language="C#" MasterPageFile="~/Admin/Styles/Admin.master" Inherits="Admin_SiteImages_Default"
    CodeFile="Default.aspx.cs" AutoEventWireup="true" %>

<%@ Import Namespace="DotCommunities.Framework.Enums" %>

<%@ Register Src="../Controls/TitleBar.ascx" TagName="TitleBar" TagPrefix="admin" %>
<%@ Register Src="../Controls/GridPageSize.ascx" TagName="GridPageSize" TagPrefix="admin" %>
<%--
    This page displays all the community images posted to this community.
--%>
<asp:Content ID="DefaultContent" ContentPlaceHolderID="MainContent" runat="Server">
    <asp:ScriptManagerProxy ID="MainScriptManagerProxy" runat="server" />
    <div class="pagedescription">
        This page contains a list of all the images available for you to use in your community
        pages. For example, you can display any image that you upload here in an HTML section.
    </div>
    <admin:TitleBar ID="ImagesTitleBar" runat="server" Text="Images" />
    <asp:UpdatePanel ID="ImageUpdater" runat="server">
        <ContentTemplate>
            <asp:GridView ID="dgrdImages" runat="Server" DataSourceID="ImageDataSource" DataKeyNames="Image_FileName,Image_ImageType"
                AllowPaging="true" AllowSorting="true" PageSize="5" CellPadding="10" AutoGenerateColumns="False"
                GridLines="None" OnRowCommand="Item_Click" OnRowDataBound="DataGrid_ItemDataBound"
                HorizontalAlign="Left" Width="100%">
                <PagerSettings Mode="NumericFirstLast" />
                <PagerStyle HorizontalAlign="Right" />
                <AlternatingRowStyle CssClass="gridaltrow" />
                <RowStyle CssClass="gridrow" />
                <HeaderStyle CssClass="gridheader" HorizontalAlign="Center" />
                <Columns>
                    <asp:BoundField DataField="Image_ID" HeaderText=" ID " />
                    <asp:TemplateField HeaderText=" Delete ">
                        <ItemTemplate>
                            &nbsp;&nbsp;
                            <asp:ImageButton ID="btnDelete" CommandName="del" ImageUrl="../Images/Delete.gif"
                                AlternateText="Delete" runat="Server" />
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText=" Image ">
                        <ItemTemplate>
                            <asp:HyperLink ID="HyperLink1" NavigateUrl='<%# String.Format("~/{0}", FormatFileName(DataBinder.Eval(Container.DataItem, "Image_FileName")))%>'
                                runat="Server" Target="_blank">
                                <dcc:ThumbnailImage ID="ImageThumb" runat="Server" TargetSize="80" ImagePath='<%# String.Format("~/{0}", FormatFileName(DataBinder.Eval(Container.DataItem, "Image_FileName")))%>' />
                                <asp:Panel ID="ImageFullPanel" runat="server" Width="650px">
                                    <div style="overflow:hidden;height:450px">
                                        <asp:Image ID="ImageFull" ImageUrl='<%# String.Format("~/{0}", FormatFileName(DataBinder.Eval(Container.DataItem, "Image_FileName")))%>'
                                            runat="Server" />
                                    </div>
                                </asp:Panel>
                                <ajaxToolkit:HoverMenuExtender ID="ImageFullExtender" runat="Server" TargetControlID="ImageThumb"
                                    PopupControlID="ImageFullPanel" HoverCssClass="popupHover" PopupPosition="Right"
                                    OffsetX="5" OffsetY="0" PopDelay="50"  />
                            </asp:HyperLink>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText=" Image Type " SortExpression="Image_ImageType">
                        <ItemTemplate>
                            <%# (ImageType)Eval("Image_ImageType") %>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:TemplateField HeaderText=" File Name " SortExpression="Image_FileName">
                        <ItemStyle Width="250px" />
                        <ItemTemplate>
                            <asp:Label runat="server" Text='<%# DataBinder.Eval(Container, "DataItem.Image_FileName") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:BoundField DataField="Image_ContentType" HeaderText=" Content Type " SortExpression="Image_ContentType" />
                    <asp:BoundField DataField="Image_DateCreated" HeaderText=" Date Created " SortExpression="Image_DateCreated" />                    
                </Columns>
                <EmptyDataTemplate>
                    <i>No community images exist. Click Add New Image to add a new image.</i>
                </EmptyDataTemplate>
            </asp:GridView>
            <hr style="clear: both;" />
            <admin:GridPageSize ID="ImagePageSizer" runat="server" GridViewID="dgrdImages" PageSizes="5|10"
                AllowAll="false" />
            <asp:ObjectDataSource ID="ImageDataSource" runat="server" SelectMethod="GetCommunityImages"
                TypeName="DotCommunities.Framework.Managers.FrameworkManager" />
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
