<%@ Control Language="C#" AutoEventWireup="true" CodeFile="SettingsCommunication.ascx.cs" Inherits="Admin_SiteSettings_SettingsCommunication" %>

<!-- SMTP Server Name -->

<div class="formSection">
    <div class="formSectionHeader">
        <div class="helpIcon">
            <img src="../Images/help.gif" alt="Help" onmouseover="showHelp('helpSmtpServerName')"
                onmouseout="hideHelp()" />
        </div>
        SMTP Server Name
        <asp:RequiredFieldValidator ControlToValidate="txtSmtpServerName" Text="*" ErrorMessage="You must enter a SMTP Server Name"
            runat="server" ID="SmtpServerNameValidator" />
    </div>
    <div class="formSectionHelp">
        The name of the SMTP Server used to send e-mails from this community.
    </div>
    <div class="formSectionContents">
        <asp:TextBox ID="txtSmtpServerName" Columns="30" MaxLength="50" runat="Server" />
        <ajaxToolkit:FilteredTextBoxExtender ID="SmtpServerNameFilter" runat="server"
            TargetControlID="txtSmtpServerName"         
            FilterType="Custom, Numbers, LowercaseLetters, UppercaseLetters"
            ValidChars="." />
    </div>
</div>
<div id="helpSmtpServerName" style="display: none">
    The name of the SMTP Server used to send e-mails from this community. This can be either a domain name
    (such as <i>smtp.DotCommunities.org</i> or <i>localhost</i>) or an IP address like <i>127.0.0.1</i>.
</div>

<!-- SMTP Login Credentials -->

<div class="formSection">
    <div class="formSectionHeader">
        <div class="helpIcon">
            <img src="../Images/help.gif" alt="Help" onmouseover="showHelp('helpLoginUserCredentials')"
                onmouseout="hideHelp()" />
        </div>
        SMTP Login Credentials
    </div>
    <div class="formSectionHelp">
        The user login credentials for the SMTP Server (optional).
    </div>
    <div class="formSectionContents">
        <table border="0" cellpadding="2" cellspacing="1">
            <tr>
                <td colspan="2">
                    <asp:CheckBox ID="chkUseLoginCredentials" runat="server" Checked="false" Text="Use Login Credentials for the SMTP Server" AutoPostBack="True" OnCheckedChanged="chkUseLoginCredentials_CheckedChanged" />
                </td>
            </tr>
            <tr>
                <td>User Name: </td>
                <td>
                    <asp:TextBox ID="txtLoginUserName" Columns="30" MaxLength="256" runat="Server" Enabled="false" />
                    <ajaxToolkit:FilteredTextBoxExtender ID="LoginUserNameFilter" runat="server"
                        TargetControlID="txtLoginUserName"         
                        FilterType="Custom, Numbers, LowercaseLetters, UppercaseLetters"
                        ValidChars="_" />
                </td>
            </tr>
            <tr>
                <td>Password: </td>
                <td>
                    <asp:TextBox ID="txtLoginUserPassword" Columns="30" MaxLength="256" runat="Server" TextMode="Password" Enabled="false" />
                    <ajaxToolkit:FilteredTextBoxExtender ID="LoginUserPasswordFilter" runat="server"
                        TargetControlID="txtLoginUserPassword"         
                        FilterType="Custom, Numbers, LowercaseLetters, UppercaseLetters"
                        ValidChars="_!$%+-=@'?:;.,<>(){}[]" />
                </td>
            </tr>
        </table>
    </div>
</div>
<div id="helpLoginUserCredentials" style="display: none">
    The user login credentials for the SMTP Server. This is a user name and password that is sometimes required for public e-mail servers.
</div>

