<%@ Page Language="C#" MasterPageFile="~/Admin/Styles/Admin.master" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Admin_Users_Default" Title="Untitled Page" %>

<%@ Register Src="../Controls/TitleBar.ascx" TagName="TitleBar" TagPrefix="admin" %>
<%@ Register Src="../Controls/GridPageSize.ascx" TagName="GridPageSize" TagPrefix="admin" %>

<asp:Content ID="MainContent" ContentPlaceHolderID="MainContent" Runat="Server">
    <asp:ScriptManagerProxy ID="MainScriptManagerProxy" runat="server" />
    <div class="pagedescription">
        The Edit Users page allows you to add, edit, deactivate, or view information about
        the users in your community. You can filter the users to view by selecting the
        first letter of the username below. To edit a user, click on the edit button next to
        the desired username.
        <br />
        <br />
        From this page, you can also create, edit, or delete roles for your users. You can
        use roles to control who can view, add, edit, delete, moderate, or comment on content.
    </div>
    <asp:UpdatePanel ID="UserUpdater" runat="server">
        <ContentTemplate>
            <div style="float:right;margin:5px;">
                Filter Users: <dcc:AlphaPicker ID="UserNamePicker" runat="server" />
            </div>
            <admin:TitleBar ID="UsersTitleBar" runat="server" Text="Users" />
            <asp:GridView ID="UsersGrid" runat="server" DataSourceID="UsersDataSource" BorderStyle="None" CellPadding="5" PageSize="5"
                GridLines="None" AutoGenerateColumns="false" DataKeyNames="UserName" Width="100%" AllowPaging="True" AllowSorting="False" OnRowDataBound="UsersGrid_RowDataBound">
                <AlternatingRowStyle CssClass="gridaltrow" HorizontalAlign="Center" />
                <RowStyle CssClass="gridrow" HorizontalAlign="Center" />
                <HeaderStyle CssClass="gridheader" HorizontalAlign="Center" />
                <Columns>
                    <asp:TemplateField HeaderText=" Edit ">
                        <ItemTemplate>
                            <asp:HyperLink ID="lnkEdit" runat="Server" ImageUrl="../Images/Edit.gif" Text="Edit" NavigateUrl='<%# String.Format("EditUser.aspx?id={0}", Eval("UserName") )%>' />
                        </ItemTemplate>
                    </asp:TemplateField>                    
                     <asp:BoundField HeaderText="User Name" DataField="UserName">
                        <HeaderStyle HorizontalAlign="Left" />
                        <ItemStyle HorizontalAlign="Left" />
                     </asp:BoundField>
                     <asp:TemplateField HeaderText="E-mail">
                        <HeaderStyle HorizontalAlign="Left" />
                        <ItemStyle HorizontalAlign="Left" />
                        <ItemTemplate>
                            <asp:HyperLink ID="lnkEmail" runat="server" />
                        </ItemTemplate>
                     </asp:TemplateField>
                     <asp:TemplateField HeaderText="Created">
                        <HeaderStyle HorizontalAlign="Left" />
                        <ItemStyle HorizontalAlign="Left" />
                        <ItemTemplate>
                            <asp:Label ID="lblCreatedDate" runat="server" />
                        </ItemTemplate>
                     </asp:TemplateField>
                     <asp:TemplateField HeaderText="Last activity">
                        <HeaderStyle HorizontalAlign="Left" />
                        <ItemStyle HorizontalAlign="Left" />
                        <ItemTemplate>
                            <asp:Label ID="lblLastActivityDate" runat="server" />
                        </ItemTemplate>
                     </asp:TemplateField>  
                     <asp:BoundField HeaderText="Total Posts" DataField="TotalPosts" />
                     <asp:BoundField HeaderText="Quota" DataField="DatabaseQuota" />
                     <asp:BoundField HeaderText="Quota Used" DataField="DatabaseQuotaUsed" />
                  </Columns>
                  <EmptyDataTemplate><p><i>No users found for the specified criteria.</i></p></EmptyDataTemplate>
               </asp:GridView>
               <hr />
               <admin:GridPageSize ID="UserPageSizer" runat="server" GridViewID="UsersGrid" AllowAll="false" />
               <asp:ObjectDataSource ID="UsersDataSource" runat="server" SelectMethod="GetFilteredUsers"
                    TypeName="DotCommunities.Framework.Managers.FrameworkManager">
                    <SelectParameters>  
                        <asp:ControlParameter ControlID="UserNamePicker" PropertyName="SelectedLetter" Name="filter" Type="string" />
                    </SelectParameters>
               </asp:ObjectDataSource>                  
        </ContentTemplate>
   </asp:UpdatePanel>
</asp:Content>

