// =========================================================================
// .communities - The Free Community Content Management Framework
// Copyright  2007 by Ed Quinn (http://edquinn.net)
// =========================================================================
//
// For more information about this software, visit:
// http://www.DotCommunities.org (official site)
// http://www.codeplex.com/DotCommunities (source code)
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the Shared Source License displayed here:
// http://www.codeplex.com/DotCommunities/Project/License.aspx
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// Shared Source License for more details.
//
// Please do not remove any copyright or other notices from this Software.
//
// =========================================================================

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using DotCommunities.Framework.Controls;
using DotCommunities.Framework;

public partial class Admin_Users_Default : AdministrationPage
{
    protected override string PageTitle
    {
        get { return "Edit Users"; }
    }

    protected override string PageSubTitle
    {
        get { return "Use this page to edit the .communities registered users."; }
    }

    protected override string[] MenuItems
    {
        get { return new string[] { "Home" }; }
    }

    protected override string[] MenuLinks
    {
        get { return new string[] { "Main/Default.aspx" }; }
    }

    protected override string[] ActionItems
    {
        get { return new string[] { }; }
    }

    protected override string[] ActionLinks
    {
        get { return new string[] { }; }
    }

    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void UsersGrid_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        HyperLink lnkEmail;
        Label lblCreatedDate;
        Label lblLastActivityDate;

        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            LocalUser u = (LocalUser)e.Row.DataItem;
            MembershipUser mu = Membership.GetUser(u.UserName, false);

            lnkEmail = (HyperLink)e.Row.FindControl("lnkEmail");
            lnkEmail.Text = mu.Email;
            lnkEmail.NavigateUrl = string.Format("mailto:{0}", mu.Email);

            lblCreatedDate = (Label)e.Row.FindControl("lblCreatedDate");
            lblCreatedDate.Text = mu.CreationDate.ToString();

            lblLastActivityDate = (Label)e.Row.FindControl("lblLastActivityDate");
            lblLastActivityDate.Text = mu.LastActivityDate.ToString();
        }
    }
}
