<%@ Control Language="C#" ClassName="Articles_ArticleList" %>
<div style="float: right;">
    <dcc:NotifyCheckBox Text="Notify me when a new item is added" runat="Server" />
</div>
<asp:UpdatePanel ID="ContentUpdater" runat="server" UpdateMode="Conditional">
    <Triggers>
        <asp:AsyncPostBackTrigger ControlID="ContentList" />
    </Triggers>
    <ContentTemplate>
        <dcc:Sorter ID="Sorter" runat="Server">
          <sort text="Default Order" value="ContentPage_SortOrder" />
          <sort text="Date Posted" value="ContentPage_DateCreated"/>
          <sort text="Title" value="ContentPage_Title"/>
          <sort text="Popularity" value="ContentPage_ViewCount"/>
          <sort text="Author" value="User_UserName" />
          <sort text="Rating" value="ContentPage_Rating" />
        </dcc:Sorter>
        <br style="clear: both;" />
        <dcc:ContentList ID="ContentList" PagerText="Page {0} of {1}" Width="100%" runat="Server">
            <ItemTemplate>
                <table border="0" cellpadding="2" cellspacing="1" width="100%">
                    <tr valign="middle">
                        <td>
                            <h3>
                                <dcc:HasReadItem runat="Server" style="vertical-align:text-top;" ReadImageAltText="You have read this article" 
                                    NotReadImageAltText="You have not read this article" />&nbsp;
                                <dcc:TitleLinkItem ID="TitleLinkItem1" CssClass="ArticleSection_ListTitle" runat="Server" />
                            </h3>
                        </td>
                        <td align="right">
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <dcc:BriefDescriptionItem ID="BriefDescriptionItem1" runat="Server" />
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <strong>Posted by
                                <dcc:AuthorItem ID="AuthorItem1" runat="Server" />
                                on
                                <dcc:DateCreatedItem ID="DateCreatedItem1" runat="Server" />
                            </strong>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <dcc:RatingItem ID="RatingItem1" DisplayOnly="True" runat="Server" />
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            (<dcc:ReadMoreLinkItem ID="ReadMoreLinkItem1" Text="Read More..." CssClass="ArticleSection_ListReadMoreLink"
                                runat="Server" />
                            &nbsp;
                            <dcc:CommentCountItem ID="lblCommentCount" FormatText="{0} comments" runat="Server" />)
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <dcc:EditContentItem ID="EditContentItem1" EditUrl="Articles_EditArticle.aspx?id={0}" runat="Server" />
                        </td>
                    </tr>
                </table>
            </ItemTemplate>
            <SeparatorTemplate>
                <br />
            </SeparatorTemplate>
            <NoContentTemplate>
                <p><i>No articles are currently listed.</i></p>
            </NoContentTemplate>
        </dcc:ContentList>
    </ContentTemplate>
</asp:UpdatePanel>
<br />
<dcc:ArticleEditContent ID="EditContentLinks" runat="Server" AddText="Add Article"
    ModerateText="Moderate Articles" />