<%@ Control Language="C#" ClassName="New_Section_Articles" %>

<%@ Import Namespace="System.Web.Services" %>
<%@ Import Namespace="System.Collections.Generic" %>
<%@ Import Namespace="DotCommunities.Framework.Managers" %>

<script runat="server">

    struct Quote
    {
        private string text;
        public string Text
        {
            get { return text; }
        }
        
        public Quote(string text)
        {
            this.text = text;
        }
    }

    static List<string> AllQuotes = FrameworkManager.GetAllQuotes();
    static Random RandomSeed = new Random();

    int quoteCount = 3;
    
    [Personalizable]
    public int QuoteCount
    {
        get { return quoteCount; }
        set { quoteCount = value; }
    }
    
    void Page_Load() 
    {
        List<Quote> quotes = GetQuotes(quoteCount);

        if (quotes.Count > 0)
        {
            QuoteRepeater.DataSource = quotes;
            QuoteRepeater.DataBind();
        }
        else
            NoQuotesLabel.Visible = true;
    }

    List<Quote> GetQuotes(int count)
    {
        List<Quote> quotes = new List<Quote>(count);

        if (AllQuotes != null && AllQuotes.Count > count)
            while (count > 0)
            {
                Quote quote = new Quote(GetNextQuote());
                
                if ((!string.IsNullOrEmpty(quote.Text)) && (!quotes.Contains(quote)))
                {
                    quotes.Add(quote);
                    count--;
                }
                else if (string.IsNullOrEmpty(quote.Text))
                    break;
            }
        
        return quotes;
    }

    string GetNextQuote()
    {
        if (AllQuotes != null && AllQuotes.Count > 0)
            return AllQuotes[RandomSeed.Next(AllQuotes.Count)];
        return null;
    }

</script>

<div id="webpart_control">
    <h2>Random Quotes</h2>
    <br />
    <asp:Repeater ID="QuoteRepeater" runat="server">
        <HeaderTemplate>
            <ul>
        </HeaderTemplate>
        <ItemTemplate>
            <li>
                <%# Eval("Text") %>
            </li>
        </ItemTemplate>
        <FooterTemplate>
            </ul>
        </FooterTemplate>
    </asp:Repeater>
    <asp:Label ID="NoQuotesLabel" runat="server" Visible="false">
        <p><i>There are no quotes to display</i></p>
    </asp:Label>
</div>